/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing LanguageApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class LanguageApiTests : IDisposable
    {
        private LanguageApi instance;

        public LanguageApiTests()
        {
            instance = new LanguageApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of LanguageApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' LanguageApi
            //Assert.IsType<LanguageApi>(instance);
        }

        /// <summary>
        /// Test ApiV2LanguagesOptions
        /// </summary>
        [Fact]
        public void ApiV2LanguagesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2LanguagesOptions();
        }

        /// <summary>
        /// Test GetLanguage
        /// </summary>
        [Fact]
        public void GetLanguageTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Guid languageId = null;
            //var response = instance.GetLanguage(languageId);
            //Assert.IsType<LanguageDtoResponse>(response);
        }

        /// <summary>
        /// Test GetLanguages
        /// </summary>
        [Fact]
        public void GetLanguagesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetLanguages(pageNumber, pageSize, orderBy);
            //Assert.IsType<LanguageDtoIEnumerableResponse>(response);
        }
    }
}
